Package org.apache.synapse.commons.formatters

# Class XFormURLEncodedFormatter

java.lang.Object
org.apache.synapse.commons.formatters.XFormURLEncodedFormatter

All Implemented Interfaces:
  `org.apache.axis2.transport.MessageFormatter`

public class XFormURLEncodedFormatter extends Object implements org.apache.axis2.transport.MessageFormatter
Formates the request message as application/x-www-form-urlencoded

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XFormURLEncodedFormatter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `formatSOAPAction(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format, String soapAction)`
  `byte[]`
  `getBytes(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format)`
  `String`
  `getContentType(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format, String soapAction)`
  `URL`
  `getTargetAddress(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format, URL targetURL)`
  `void`
  `writeTo(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format, OutputStream outputStream, boolean preserve)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XFormURLEncodedFormatter

    public XFormURLEncodedFormatter()

- ## Method Details

  - ### getBytes

    public byte[] getBytes(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format) throws org.apache.axis2.AxisFault
    Specified by:
      `getBytes` in interface `org.apache.axis2.transport.MessageFormatter`
    Throws:
      `org.apache.axis2.AxisFault`

  - ### writeTo

    public void writeTo(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format, OutputStream outputStream, boolean preserve) throws org.apache.axis2.AxisFault
    Specified by:
      `writeTo` in interface `org.apache.axis2.transport.MessageFormatter`
    Throws:
      `org.apache.axis2.AxisFault`

  - ### getContentType

    public String getContentType(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format, String soapAction)
    Specified by:
      `getContentType` in interface `org.apache.axis2.transport.MessageFormatter`

  - ### getTargetAddress

    public URL getTargetAddress(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format, URL targetURL) throws org.apache.axis2.AxisFault
    Specified by:
      `getTargetAddress` in interface `org.apache.axis2.transport.MessageFormatter`
    Throws:
      `org.apache.axis2.AxisFault`

  - ### formatSOAPAction

    public String formatSOAPAction(org.apache.axis2.context.MessageContext messageContext, org.apache.axiom.om.OMOutputFormat format, String soapAction)
    Specified by:
      `formatSOAPAction` in interface `org.apache.axis2.transport.MessageFormatter`